# ezQuake Manual: Server Browser Variables

## sb_autohide

### Description

This toggles in which cases the server browser should automatically hide itself when connecting to a server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Never hide server browser
1 | This will cause the server browser to always hide after connecting
2 | This will cause the server browser to hide after connecting only, if the connected server is not a qizmo proxy, useful if you often connect to Qizmos only for rerouting features (with "useproxy 1")

## sb_autoupdate

### Description

Enabled auto-updates (pings & refreshes status) servers from actually marked server sources in Server Browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | auto-refresh server list when first entering Server Browser menu
0 | do not refresh server list automatically

Usefull with sb_starttab 1 and '+cfg_load myconfig +menu_slist' in command-line.

## sb_hidedead

### Description

This toggles whether ezQuake should hide dead servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | hide dead servers
0 | don't hide dead servers

## sb_hideempty

### Description

This toggles whether ezQuake should hide empty servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | hide empty servers
0 | don't hide empty servers

## sb_hidefull

### Description

This toggles whether ezQuake should hide full servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | hide full servers
0 | don't hide full servers

## sb_hidenotempty

### Description

This toggles whether ezQuake should hide empty servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | hide empty servers
0 | don't hide empty servers

## sb_inforetries

### Description

This determines how often ezQuake should try to retrieve information from a server until it is considered to be not responding.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## sb_infospersec

### Description

This determines how many serverinfos per second ezQuake should retrieve when scanning servers. When setting this value too high you will flood your line, causing you to not receive information from servers or lagging your connect to the server you are currently connected to.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is float.

## sb_infotimeout

### Description

This determines how long ezQuake will wait for a reply when trying to retrieve information from a server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

## sb_liveupdate

### Description

This will determine how often ezQuake should refresh the serverinfo window, the specified value sets the delay in seconds. Setting it to "0" will disable automatic refreshing.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

## sb_mastercache

### Description

This toggles whether ezQuake should cache the results of queries to master server (in directory qw/sb/cache). If you restart ezQuake and don't update sources or if a master server is down, ezQuake will use the cache.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | use the cache for master servers when they are down or haven't been refreshed
0 | don't use cache for master servers

## sb_masterretries

### Description

This determines how often ezQuake should try to retrieve information from a master server until it is considered to be not responding.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## sb_mastertimeout

### Description

This determines how long ezQuake will wait for a reply when trying to retrieve information from a master server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

## sb_maxheight

This variable has been deleted

### Description

This set the maximum height for the server browser menu in pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 480

Variable is float.

## sb_maxwidth

This variable has been deleted

### Description

This set the maximum width for the server browser menu in pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 512

Variable is float.

## sb_pings

### Description

This determines how many pings ezQuake will send to a server when trying to determine your ping to it. A higher value will cause scanning servers to take longer, but the result may be more exact. A lower value obviously makes scanning faster, but pings may be inaccurate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## sb_pingspersec

### Description

This determines how many pings per second ezQuake should sent out when scanning servers. If you set this value too high the result will be that the pings will not be accurate because you overloaded your line. If you set it too low scanning servers will take very long especially when you have a large server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 150

Variable is float.

## sb_pingtimeout

### Description

This determines how long ezQuake will wait for a reply when trying to ping a server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

## sb_showaddress

### Description

This toggles whether ezQuake should display the server IP column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | show the server IP column
0 | do not show the server IP column

## sb_showcounters

### Description

This toggles whether ezQuake should display the number of servers or players in the status line.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | show the server/player counter in the status line
0 | do not show the server/player counter in the status line

## sb_showfraglimit

### Description

This toggles whether ezQuake should display the fraglimit column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | show the fraglimit column
0 | do not show the fraglimit column

## sb_showgamedir

### Description

This toggles whether ezQuake should display the gamedir column in the server list, for example to see which mod is being played.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | show the gamedir column
0 | do not show the gamedir column

## sb_showmap

### Description

This toggles whether ezQuake should display the map column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | show the map column
0 | do not show the map column

## sb_showping

### Description

This toggles whether ezQuake should display the ping column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | show the ping column
0 | do not show the ping column

## sb_showplayers

### Description

This toggles whether ezQuake should display the players column in the server list that shows how many players are on the server as well as how many players are allowed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | show the players column
0 | do not show the players column

## sb_showtimelimit

### Description

This toggles whether ezQuake should display the timelimit column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | show the timelimit column
0 | do not show the timelimit column

## sb_sortplayers

### Description

This determines sort order in the players list. This uses the numbers from the description of the columns. Check "Columns available in servers/players list" above for an explanation of each number. A "-" in front of the value reverses the sort order for that value from ascending to descending. address (ip:port).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 92

Variable is float.

## sb_sortservers

### Description

This determines sort order in the servers list. This uses the numbers from the description of the columns. Check "Columns available in servers/players list" above for an explanation of each number. A "-" in front of the value reverses the sort order for that value from ascending to descending. server address (ip:port).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 32

Variable is float.

## sb_sortsources

### Description

Ordering instructions for server browser sources list are stored in this variable. You can order source server in Server browser by pressing Ctrl+1, Ctrl+2 and Ctrl+3. Sequence of your desired combination will be stored in this variable, newest keys first.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is string.
E.g.: 3-21 means you've pressed Ctrl+1, Ctrl+2, Ctrl+2 and Ctrl+3 so your sources are now ordered by server count, last update time and source name.

## sb_sourcevalidity

### Description

This sets the time of master servers validity in minutes. Master servers that were updated within the specified time will not be refreshed when updating sources with [SPACE].

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 30

Variable is float.

## sb_starttab

This variable has been deleted

### Description

Sets default tab in Server Browser. This tab will be displayed when you enter Server Browser for the first time of client instance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.
Possible values are 1, 2, 3 and 4.

Usefull with sb_autoupdate 1 and '+cfg_load myconfig +menu_slist' in command-line.

## sb_status

### Description

This toggles whether the server status should be displayed in the two bottom lines of the server browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | display the status
0 | do not display the status

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs